[openssh-commits] [openssh] 01/04: upstream: better error messages

git+noreply at mindrot.org git+noreply at mindrot.org
Sun Jul 30 11:41:53 AEST 2023


This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit e43f43d3f19516222e9a143468ea0dc1b3ab67b6
Author: djm at openbsd.org <djm at openbsd.org>
Date:   Fri May 12 06:36:27 2023 +0000

    upstream: better error messages
    
    OpenBSD-Regress-ID: 55e4186604e80259496d841e690ea2090981bc7a
---
 regress/forcecommand.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/regress/forcecommand.sh b/regress/forcecommand.sh
index e059f1fd..e756600a 100644
--- a/regress/forcecommand.sh
+++ b/regress/forcecommand.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: forcecommand.sh,v 1.4 2017/04/30 23:34:55 djm Exp $
+#	$OpenBSD: forcecommand.sh,v 1.5 2023/05/12 06:36:27 djm Exp $
 #	Placed in the Public Domain.
 
 tid="forced command"
@@ -12,7 +12,7 @@ for t in ${SSH_KEYTYPES}; do
 done
 
 trace "forced command in key option"
-${SSH} -F $OBJ/ssh_proxy somehost false || fail "forced command in key"
+${SSH} -F $OBJ/ssh_proxy somehost false || fail "forced command in key option"
 
 cp /dev/null $OBJ/authorized_keys_$USER
 for t in ${SSH_KEYTYPES}; do
@@ -24,7 +24,7 @@ cp $OBJ/sshd_proxy_bak $OBJ/sshd_proxy
 echo "ForceCommand true" >> $OBJ/sshd_proxy
 
 trace "forced command in sshd_config overrides key option"
-${SSH} -F $OBJ/ssh_proxy somehost false || fail "forced command in key"
+${SSH} -F $OBJ/ssh_proxy somehost false || fail "forced command config"
 
 cp $OBJ/sshd_proxy_bak $OBJ/sshd_proxy
 echo "ForceCommand false" >> $OBJ/sshd_proxy
@@ -32,4 +32,4 @@ echo "Match User $USER" >> $OBJ/sshd_proxy
 echo "    ForceCommand true" >> $OBJ/sshd_proxy
 
 trace "forced command with match"
-${SSH} -F $OBJ/ssh_proxy somehost false || fail "forced command in key"
+${SSH} -F $OBJ/ssh_proxy somehost false || fail "forced command match"

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list